Bug 477880 - /usr/lib64/openoffice.org/ure/bin/uno.bin segfaults during update of openoffice.org packages
/usr/lib64/openoffice.org/ure/bin/uno.bin segfaults during update of openoffi...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-24 13:01 EST by Tom London
Modified: 2009-01-13 03:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-13 03:59:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 97975 None None None Never

  None (edit)
Description Tom London 2008-12-24 13:01:13 EST
Description of problem:
Noticed this segfault during today's "yum update":

Dec 24 09:46:54 tlondon yum: Updated: gnome-python2-libegg-2.19.1-27.fc11.x86_64
Dec 24 09:46:55 tlondon yum: Updated: xorg-x11-drv-vmware-10.16.0-2.fc11.x86_64
Dec 24 09:46:56 tlondon yum: Updated: 1:openoffice.org-draw-core-3.0.1-14.2.fc11.x86_64
Dec 24 09:47:01 tlondon kernel: uno.bin[3726]: segfault at 31a018 ip 00007fd947ceb49d sp 00007fd93f545740 error 4 in libuno_cppuhelpergcc3.so.3[7fd947ca1000+a4000]
Dec 24 09:47:01 tlondon yum: Updated: 1:openoffice.org-pdfimport-3.0.1-14.2.fc11.x86_64

Not sure how to debug this.... (or if it is really an issue).


Version-Release number of selected component (if applicable):
openoffice.org-writer-core-3.0.1-14.2.fc11.x86_64
openoffice.org-ure-3.0.1-14.2.fc11.x86_64
openoffice.org-presenter-screen-3.0.1-14.2.fc11.x86_64
openoffice.org-graphicfilter-3.0.1-14.2.fc11.x86_64
openoffice.org-calc-core-3.0.1-14.2.fc11.x86_64
openoffice.org-calc-3.0.1-14.2.fc11.x86_64
openoffice.org-impress-core-3.0.1-14.2.fc11.x86_64
openoffice.org-core-3.0.1-14.2.fc11.x86_64
openoffice.org-writer-3.0.1-14.2.fc11.x86_64
openoffice.org-math-3.0.1-14.2.fc11.x86_64
openoffice.org-brand-3.0.1-14.2.fc11.x86_64
openoffice.org-impress-3.0.1-14.2.fc11.x86_64
openoffice.org-draw-3.0.1-14.2.fc11.x86_64
openoffice.org-math-core-3.0.1-14.2.fc11.x86_64
openoffice.org-draw-core-3.0.1-14.2.fc11.x86_64
openoffice.org-fonts-3.0.1-14.2.fc11.x86_64
openoffice.org-pdfimport-3.0.1-14.2.fc11.x86_64


How reproducible:
Don't know.....

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Caolan McNamara 2008-12-29 18:30:19 EST
FWIW I didn't get this on my own rawhide x86_64's box's yum update from 14.1 to 14.2. 

Does manually running
unopkg list --shared 
succeed or fail ?
Comment 2 Tom London 2008-12-29 20:45:07 EST
[root@tlondon ~]# unopkg list --shared
all deployed shared packages:
Identifier: com.sun.PresenterScreen-linux_x86_64
  Version: 1.0
  URL: vnd.sun.star.expand:$UNO_SHARED_PACKAGES_CACHE/uno_packages/976iXn_/presenter-screen.oxt
  is registered: yes
  Media-Type: application/vnd.sun.star.package-bundle
  Description: The Presenter Console Extension provides more control over your slide show
presentation, such as the ability to see the upcoming slide, the slide notes,
and a presentation timer whereas the audience see only the current slide.

  bundled Packages: {
      URL: vnd.sun.star.expand:$UNO_SHARED_PACKAGES_CACHE/uno_packages/976iXn_/presenter-screen.oxt/registry/schema/org/openoffice/Office/extension/PresenterScreen.xcs
      is registered: yes
      Media-Type: application/vnd.sun.star.configuration-schema
      Description: 
      URL: vnd.sun.star.expand:$UNO_SHARED_PACKAGES_CACHE/uno_packages/976iXn_/presenter-screen.oxt/PresenterScreen.uno.so
      is registered: yes
      Media-Type: application/vnd.sun.star.uno-component;type=native;platform=Linux_X86_64
      Description: 
      URL: vnd.sun.star.expand:$UNO_SHARED_PACKAGES_CACHE/uno_packages/976iXn_/presenter-screen.oxt/registry/data/org/openoffice/Office/Jobs.xcu
      is registered: yes
      Media-Type: application/vnd.sun.star.configuration-data
      Description: 
      URL: vnd.sun.star.expand:$UNO_SHARED_PACKAGES_CACHE/uno_packages/976iXn_/presenter-screen.oxt/registry/data/org/openoffice/Office/ProtocolHandler.xcu
      is registered: yes
      Media-Type: application/vnd.sun.star.configuration-data
      Description: 
      URL: vnd.sun.star.expand:$UNO_SHARED_PACKAGES_CACHE/uno_packages/976iXn_/presenter-screen.oxt/registry/data/org/openoffice/Office/extension/PresenterScreen.xcu
      is registered: yes
      Media-Type: application/vnd.sun.star.configuration-data
      Description: 
  }
Identifier: com.sun.star.PDFImport-linux_x86_64
  Version: 0.3.2
  URL: vnd.sun.star.expand:$UNO_SHARED_PACKAGES_CACHE/uno_packages/IPqecA_/pdfimport.oxt
  is registered: yes
  Media-Type: application/vnd.sun.star.package-bundle
  Description: PDF documents are imported in Draw and Impress to preserve the layout and to
allow basic editing. It is the perfect solution for changing dates, numbers
or small portions of text.

  bundled Packages: {
      URL: vnd.sun.star.expand:$UNO_SHARED_PACKAGES_CACHE/uno_packages/IPqecA_/pdfimport.oxt/basic/
      is registered: yes
      Media-Type: application/vnd.sun.star.basic-library
      Description: 
      URL: vnd.sun.star.expand:$UNO_SHARED_PACKAGES_CACHE/uno_packages/IPqecA_/pdfimport.oxt/xpdfimport
      is registered: unknown
      Media-Type: application/vnd.sun.star.executable
      Description: 
      URL: vnd.sun.star.expand:$UNO_SHARED_PACKAGES_CACHE/uno_packages/IPqecA_/pdfimport.oxt/pdfimport.uno.so
      is registered: yes
      Media-Type: application/vnd.sun.star.uno-component;type=native;platform=Linux_X86_64
      Description: 
      URL: vnd.sun.star.expand:$UNO_SHARED_PACKAGES_CACHE/uno_packages/IPqecA_/pdfimport.oxt/pdf_import_filter.xcu
      is registered: yes
      Media-Type: application/vnd.sun.star.configuration-data
      Description: 
      URL: vnd.sun.star.expand:$UNO_SHARED_PACKAGES_CACHE/uno_packages/IPqecA_/pdfimport.oxt/pdf_types.xcu
      is registered: yes
      Media-Type: application/vnd.sun.star.configuration-data
      Description: 
  }
[root@tlondon ~]# 


Looks to me "succeed".....

I'll watch it for the next update, and close it if it doesn't happen....
Comment 3 Tom London 2009-01-07 10:05:37 EST
OK. Happened again:

Jan  7 06:55:26 tlondon yum: Updated: 1:openoffice.org-impress-3.0.1-14.3.fc11.x86_64
Jan  7 06:55:27 tlondon yum: Updated: 1:openoffice.org-calc-3.0.1-14.3.fc11.x86_64
Jan  7 06:55:28 tlondon yum: Updated: 1:openoffice.org-draw-core-3.0.1-14.3.fc11.x86_64
Jan  7 06:55:33 tlondon yum: Updated: 1:openoffice.org-pdfimport-3.0.1-14.3.fc11.x86_64
Jan  7 06:55:33 tlondon kernel: uno.bin[3908]: segfault at 0 ip 00007fbef1e58ecd sp 00007fbee9438cb0 error 6 in libuno_cppu.so.3[7fbef1e3e000+2d000]
Jan  7 06:55:33 tlondon yum: Updated: 1:openoffice.org-draw-3.0.1-14.3.fc11.x86_64
Jan  7 06:55:34 tlondon yum: Updated: 1:openoffice.org-math-3.0.1-14.3.fc11.x86_64

"unopkg list --shared " succeeds as above....

Is there some way for me to instrument/trace this?
Comment 4 Caolan McNamara 2009-01-08 09:08:29 EST
bug 479257 may be relevant here, but maybe not. could you copy and paste in *all* the lines from /var/log/messages that have "yum" and openoffice in them so I can see what the order of updating of the packages was, there's maybe something in that
Comment 5 Tom London 2009-01-08 09:28:19 EST
Sure.  Here are the messages from the "complete run":

Jan  7 06:51:57 tlondon yum: Updated: 1:openoffice.org-ure-3.0.1-14.3.fc11.x86_64
Jan  7 06:52:03 tlondon yum: Updated: cairo-1.8.6-1.fc11.x86_64
Jan  7 06:52:04 tlondon yum: Updated: 2:gimp-libs-2.6.4-3.fc11.x86_64
Jan  7 06:52:05 tlondon yum: Updated: check-0.9.6-1.fc11.x86_64
Jan  7 06:52:06 tlondon yum: Updated: libgsf-1.14.11-1.fc11.x86_64
Jan  7 06:52:08 tlondon yum: Updated: libgsf-gnome-1.14.11-1.fc11.x86_64
Jan  7 06:52:30 tlondon ntpd[2466]: synchronized to 69.36.240.252, stratum 2
Jan  7 06:52:56 tlondon yum: Updated: evince-2.25.4-1.fc11.x86_64
Jan  7 06:52:57 tlondon yum: Updated: xorg-x11-drv-openchrome-0.2.903-6.fc11.x86_64
Jan  7 06:53:19 tlondon yum: Updated: 2:gimp-2.6.4-3.fc11.x86_64
Jan  7 06:53:29 tlondon dbus: Reloaded configuration
Jan  7 06:53:44 tlondon yum: Updated: 1:gnome-applets-2.25.3-2.fc11.x86_64
Jan  7 06:53:48 tlondon yum: Updated: xorg-x11-drv-ati-6.10.0-1.fc11.x86_64
Jan  7 06:53:54 tlondon yum: Updated: rsyslog-3.21.9-2.fc11.x86_64
Jan  7 06:54:02 tlondon yum: Updated: jetty-5.1.14-1.7.fc11.x86_64
Jan  7 06:54:03 tlondon yum: Updated: telepathy-gabble-0.7.18-1.fc11.x86_64
Jan  7 06:54:04 tlondon yum: Updated: 12:dhclient-4.1.0-1.fc11.x86_64
Jan  7 06:54:06 tlondon yum: Updated: 1:openoffice.org-fonts-3.0.1-14.3.fc11.x86_64
Jan  7 06:54:08 tlondon pulseaudio[3130]: module-alsa-sink.c: Increasing wakeup watermark to 160.00 ms
Jan  7 06:54:51 tlondon yum: Updated: 1:openoffice.org-core-3.0.1-14.3.fc11.x86_64
Jan  7 06:54:56 tlondon yum: Updated: 1:openoffice.org-brand-3.0.1-14.3.fc11.x86_64
Jan  7 06:55:00 tlondon yum: Updated: 1:openoffice.org-calc-core-3.0.1-14.3.fc11.x86_64
Jan  7 06:55:05 tlondon yum: Updated: 1:openoffice.org-impress-core-3.0.1-14.3.fc11.x86_64
Jan  7 06:55:18 tlondon yum: Updated: 1:openoffice.org-presenter-screen-3.0.1-14.3.fc11.x86_64
Jan  7 06:55:19 tlondon yum: Updated: 1:openoffice.org-graphicfilter-3.0.1-14.3.fc11.x86_64
Jan  7 06:55:23 tlondon yum: Updated: 1:openoffice.org-writer-core-3.0.1-14.3.fc11.x86_64
Jan  7 06:55:24 tlondon yum: Updated: 1:openoffice.org-math-core-3.0.1-14.3.fc11.x86_64
Jan  7 06:55:25 tlondon yum: Updated: 1:openoffice.org-writer-3.0.1-14.3.fc11.x86_64
Jan  7 06:55:26 tlondon yum: Updated: 1:openoffice.org-impress-3.0.1-14.3.fc11.x86_64
Jan  7 06:55:27 tlondon yum: Updated: 1:openoffice.org-calc-3.0.1-14.3.fc11.x86_64
Jan  7 06:55:28 tlondon yum: Updated: 1:openoffice.org-draw-core-3.0.1-14.3.fc11.x86_64
Jan  7 06:55:33 tlondon yum: Updated: 1:openoffice.org-pdfimport-3.0.1-14.3.fc11.x86_64
Jan  7 06:55:33 tlondon kernel: uno.bin[3908]: segfault at 0 ip 00007fbef1e58ecd sp 00007fbee9438cb0 error 6 in libuno_cppu.so.3[7fbef1e3e000+2d000]
Jan  7 06:55:33 tlondon yum: Updated: 1:openoffice.org-draw-3.0.1-14.3.fc11.x86_64
Jan  7 06:55:34 tlondon yum: Updated: 1:openoffice.org-math-3.0.1-14.3.fc11.x86_64
Jan  7 06:55:35 tlondon yum: Updated: check-devel-0.9.6-1.fc11.x86_64
Jan  7 06:55:36 tlondon yum: Updated: cairo-devel-1.8.6-1.fc11.x86_64
Jan  7 06:55:39 tlondon yum: Updated: python-paste-1.7.2-1.fc11.noarch
Jan  7 06:55:40 tlondon yum: Updated: setup-2.7.5-4.fc11.noarch
Jan  7 06:55:43 tlondon setroubleshoot: SELinux is preventing groupadd (groupadd_t) "read write" rpm_t. For complete SELinux messages. run sealert -l 4c33bc03-d3b0-4fb8-908e-2871fdc62a87
Jan  7 06:55:44 tlondon yum: Updated: cairo-1.8.6-1.fc11.i386
Jan  7 06:55:44 tlondon setroubleshoot: SELinux is preventing groupadd (groupadd_t) "read write" rpm_t. For complete SELinux messages. run sealert -l 4c33bc03-d3b0-4fb8-908e-2871fdc62a87
Comment 6 Caolan McNamara 2009-01-09 07:54:33 EST
running...

unopkg remove --shared `grep identifier /usr/lib64/openoffice.org/extensions/pdfimport.oxt/description.xml | cut -d '"' -f 2`
unopkg list --shared > /dev/null
unopkg add --shared --force --link /usr/lib64/openoffice.org/extensions/pdfimport.oxt

continuously in a loop seems to eventually reproduce this for me. But it is proving really difficult to isolate
Comment 7 Caolan McNamara 2009-01-09 12:13:55 EST
I think we have a thread that *generally* exits before the program ends, but sometimes hasn't finished by the time we get to exit at which point it's destructors then reference stuff that has gone away
Comment 8 Caolan McNamara 2009-01-12 04:05:58 EST
Pretty sure I've got it, 24 hours looping now without any crash. Patch checked in to rawhide and submitted upstream.

Theres still a small chance that there will be something visible on the next update as both the old unopkg and new unopkg gets run during an update, but I think it shouldn't be triggered in the next update, and it definitely shouldn't be seen afterwards.
Comment 9 Tom London 2009-01-12 18:36:12 EST
By Jove, I think you got it!

Jan 12 15:31:25 tlondon yum: Updated: 1:openoffice.org-ure-3.0.1-15.1.fc11.x86_64
Jan 12 15:31:30 tlondon yum: Updated: 1:qt-4.4.3-10.fc11.x86_64
Jan 12 15:31:34 tlondon yum: Updated: 1:openoffice.org-fonts-3.0.1-15.1.fc11.x86_64
Jan 12 15:32:34 tlondon NetworkManager: <info>  (wlan1): supplicant connection state:  completed -> group handshake
Jan 12 15:32:34 tlondon NetworkManager: <info>  (wlan1): supplicant connection state:  group handshake -> completed
Jan 12 15:32:41 tlondon yum: Updated: 1:openoffice.org-core-3.0.1-15.1.fc11.x86_64
Jan 12 15:32:46 tlondon yum: Updated: 1:openoffice.org-brand-3.0.1-15.1.fc11.x86_64
Jan 12 15:32:51 tlondon yum: Updated: 1:openoffice.org-calc-core-3.0.1-15.1.fc11.x86_64
Jan 12 15:32:55 tlondon yum: Updated: 1:openoffice.org-impress-core-3.0.1-15.1.fc11.x86_64
Jan 12 15:33:15 tlondon yum: Updated: 1:openoffice.org-presenter-screen-3.0.1-15.1.fc11.x86_64
Jan 12 15:33:17 tlondon yum: Updated: 1:openoffice.org-math-core-3.0.1-15.1.fc11.x86_64
Jan 12 15:33:20 tlondon yum: Updated: 1:openoffice.org-writer-core-3.0.1-15.1.fc11.x86_64
Jan 12 15:33:21 tlondon yum: Updated: 1:openoffice.org-graphicfilter-3.0.1-15.1.fc11.x86_64
Jan 12 15:33:36 tlondon yum: Updated: 1:qt-x11-4.4.3-10.fc11.x86_64
Jan 12 15:33:39 tlondon yum: Updated: 1:openoffice.org-writer-3.0.1-15.1.fc11.x86_64
Jan 12 15:33:40 tlondon yum: Updated: 1:openoffice.org-impress-3.0.1-15.1.fc11.x86_64
Jan 12 15:33:41 tlondon yum: Updated: 1:openoffice.org-calc-3.0.1-15.1.fc11.x86_64
Jan 12 15:33:42 tlondon yum: Updated: 1:openoffice.org-draw-core-3.0.1-15.1.fc11.x86_64
Jan 12 15:33:47 tlondon yum: Updated: 1:openoffice.org-pdfimport-3.0.1-15.1.fc11.x86_64
Jan 12 15:33:48 tlondon yum: Updated: 1:openoffice.org-math-3.0.1-15.1.fc11.x86_64
Jan 12 15:33:49 tlondon yum: Updated: 1:openoffice.org-draw-3.0.1-15.1.fc11.x86_64

No segfault!!

Sorry for the obscure bug. 

Thanks for the fix!
Comment 10 Caolan McNamara 2009-01-13 03:59:55 EST
Sweet.

Note You need to log in before you can comment on or make changes to this bug.